<? // if ( count($this->defined_values) ): ?>

<?
$selected = $this->selected;
$existing_filters = $this->existing_filters;
$defined_values = $this->defined_values;

if (count($selected)) {
    $tmp_values = array();
    $not_active_filters = array();

    foreach ($selected AS $k => $sel) {
        foreach ($defined_values as $dk => $def_value) {
            if ($sel == $def_value['value']) {
                $tmp_values[] = $defined_values[$dk];
                unset($defined_values[$dk]);
            }
        }
    }

    $defined_values = array_merge($tmp_values, $defined_values);
}

/*foreach ($defined_values as $k => $value) {
    $key = 'pubic_hair_' . $value['value'];

    if (!$existing_filters->$key && !in_array($value['value'], $selected)) {
        $not_active_filters[$k] = $value;
        unset($defined_values[$k]);
    }
}*/

$defined_values = array_values($defined_values);
?>
<? if (count($defined_values) || count($not_active_filters)): ?>
    <? if (!$this->isMobileView): ?>
        <div class="d-flex dropdown-selection mr-20 flex-fill">
    <? endif; ?>
    <label for="public_hair<?= ($this->isMobileView) ? '-mob' : '' ?>"><?= $this->title ?></label>
    <select size="5" class="multiple-dropdown-box" name="<?= $this->mapper_param->getName() ?>[]" multiple
            id="public_hair<?= ($this->isMobileView) ? '-mob' : '' ?>">
        <? if (count($defined_values)): ?>
            <? foreach ($defined_values as $k => $filter): ?>
                <option <?= (in_array($filter['value'], $this->selected)) ? 'selected' : '' ?>
                        value="<?= $filter['value'] ?>"><?= $filter['title'] ?></option>
            <? endforeach; ?>
        <? endif; ?>
        <? foreach ($not_active_filters as $k => $filter): ?>
            <option disabled value=""><?= $filter['title'] ?></option>
        <? endforeach; ?>
    </select>
    <? if (!$this->isMobileView): ?>
        </div>
    <? endif; ?>
<? endif; ?>


<? // endif; ?>